GNU bug report logs - #55150
[PATCH] gnu: Add qbe.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Jon Eskin <eskinjp@HIDDEN>; Keywords: patch; merged with #53833, #55151, #55605; dated Wed, 27 Apr 2022 14:32:01 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.
Added indication that bug 55150 blocks55187,55606 Request was from Liliana Marie Prikler <liliana.prikler@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 53833 55150 55151 55605. Request was from Liliana Marie Prikler <liliana.prikler@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 55150 <at> debbugs.gnu.org:


Received: (at 55150) by debbugs.gnu.org; 27 Apr 2022 18:36:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 27 14:36:58 2022
Received: from localhost ([127.0.0.1]:44297 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1njmX4-0004rD-68
	for submit <at> debbugs.gnu.org; Wed, 27 Apr 2022 14:36:58 -0400
Received: from mail-qk1-f181.google.com ([209.85.222.181]:34756)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eskinjp@HIDDEN>) id 1njmX2-0004qy-Td
 for 55150 <at> debbugs.gnu.org; Wed, 27 Apr 2022 14:36:57 -0400
Received: by mail-qk1-f181.google.com with SMTP id j9so1976138qkg.1
 for <55150 <at> debbugs.gnu.org>; Wed, 27 Apr 2022 11:36:56 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:content-transfer-encoding:mime-version:subject:date:references
 :to:in-reply-to:message-id;
 bh=OdL62bBp3fyg9bUO7Iq3674fNaG+Pm8L0+xarLFSCoE=;
 b=h0XhkH3x+s7QwUwru1oklcXYIEl3QIA5DreUn8R5DI+weiXbsxQABdbEaezK/2Fxj8
 brRWL8yXh2ABXi6BWYEX9LSSPPsPCGvSgXUuHEVJ36MYaDkLkNLcDz39++o6I2XBFDey
 WyEASmQXtw0u5Sf3VWKqp2W2uOUqT0tcxoCC6i9gV80dP9TsFJlfCpKwAZgq7aY/Uemp
 UkMfk1mta1qWiF0iRm+m1in5Gbe/2Js7CEXxo3TPqucplL1QZ6Vl9A6/X0WRlclxP4P1
 DHliaqaUXl/9W0A07+x66+DlFO4YGA/boLThtbopkFPApH25vnSKiB4fNauFyQqci5VV
 sHxw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:content-transfer-encoding:mime-version
 :subject:date:references:to:in-reply-to:message-id;
 bh=OdL62bBp3fyg9bUO7Iq3674fNaG+Pm8L0+xarLFSCoE=;
 b=VjrDnmAH1AMSzLJL5RvJXuUJoxE9imOfnmyrDv8mGPohyerLfIJXojYlOk/KD3XAvg
 lguIn2bpAzjIdpq+orvATK7Drl9RbdZvgfCCY9YOvQowwhm7zk7z4YDZsP/Al0XLclRp
 fURLl9EJ8bA3NpHvlrK6j2Hv1oaupLNnfyaesE/sbw6WlDquN9HsL7r4jLFWWEoaaXb2
 iG1dEskImakzzsetjImmluUthzdxK6qrjxHMVyuilMs5ySmuTNkPpjeD+UJbHTylEdsz
 9eSKAzsw+Gh/st2kdM6ATS+1lPMBXLqNvEgQh7F6WXJ7r+MwNQljlmnKMm2cVRb6is4L
 mnvg==
X-Gm-Message-State: AOAM5305I8dqe1q3OG4gqkxenu96TEmRqW0O+HoAOWtOKWvYanWDE0bP
 VXkOW4KdIVypuAP5EQkpNPv1QAm1b5I=
X-Google-Smtp-Source: ABdhPJw9E8ND2rGyhFGnG3+MraHumCx3mqJ6lc/IORWUSKb547LsqYJAgB5ten+uO8g56iWaB72CMQ==
X-Received: by 2002:a05:620a:424b:b0:67d:36cc:5afb with SMTP id
 w11-20020a05620a424b00b0067d36cc5afbmr17508919qko.598.1651084611193; 
 Wed, 27 Apr 2022 11:36:51 -0700 (PDT)
Received: from smtpclient.apple (pool-108-31-85-19.washdc.fios.verizon.net.
 [108.31.85.19]) by smtp.gmail.com with ESMTPSA id
 c3-20020ac87d83000000b002e1d1b3df15sm10476003qtd.44.2022.04.27.11.36.49
 for <55150 <at> debbugs.gnu.org>
 (version=TLS1_2 cipher=ECDHE-ECDSA-AES128-GCM-SHA256 bits=128/128);
 Wed, 27 Apr 2022 11:36:50 -0700 (PDT)
From: Jon Eskin <eskinjp@HIDDEN>
Content-Type: text/plain;
	charset=utf-8
Content-Transfer-Encoding: quoted-printable
Mime-Version: 1.0 (Mac OS X Mail 16.0 \(3696.80.82.1.1\))
Subject: Re: bug#55150: Acknowledgement ([PATCH] gnu: Add qbe.)
Date: Wed, 27 Apr 2022 14:36:49 -0400
References: <D2942CF6-9CBD-4125-B4E0-C452D2414BE6@HIDDEN>
 <handler.55150.B.165106987410863.ack <at> debbugs.gnu.org>
To: 55150 <at> debbugs.gnu.org
In-Reply-To: <handler.55150.B.165106987410863.ack <at> debbugs.gnu.org>
Message-Id: <F6A1EAE9-7B17-4D15-BD21-A92D04BD45B4@HIDDEN>
X-Mailer: Apple Mail (2.3696.80.82.1.1)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55150
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

I wasn=E2=80=99t aware of Guix =E2=80=98R Us when I put this together, =
it looks like qbe is already available there with the intent of merging =
at a later time. This patch can probably be disregarded, sorry for the =
trouble.





Information forwarded to guix-patches@HIDDEN:
bug#55150; Package guix-patches. Full text available.
Merged 55150 55151. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 27 Apr 2022 14:31:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 27 10:31:14 2022
Received: from localhost ([127.0.0.1]:43874 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1njihG-0002or-Fn
	for submit <at> debbugs.gnu.org; Wed, 27 Apr 2022 10:31:14 -0400
Received: from lists.gnu.org ([209.51.188.17]:45628)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eskinjp@HIDDEN>) id 1njfrV-00068e-Lo
 for submit <at> debbugs.gnu.org; Wed, 27 Apr 2022 07:29:37 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:43616)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eskinjp@HIDDEN>) id 1njfrV-0006g0-Fq
 for guix-patches@HIDDEN; Wed, 27 Apr 2022 07:29:37 -0400
Received: from mail-qk1-x72b.google.com ([2607:f8b0:4864:20::72b]:39919)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <eskinjp@HIDDEN>) id 1njfrT-0001DP-Vx
 for guix-patches@HIDDEN; Wed, 27 Apr 2022 07:29:37 -0400
Received: by mail-qk1-x72b.google.com with SMTP id q75so1022929qke.6
 for <guix-patches@HIDDEN>; Wed, 27 Apr 2022 04:29:35 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:mime-version:subject:message-id:date:to;
 bh=1YzMNPeURvW8l6a5P/cbn/himjEwu9S87/lfy9jmKD8=;
 b=CbF9CelU8kprB1v6br8ak0qT7V8Ajw3ANPOM9Mx1Lc86RmsXbSU0yYN/pAAlvYWn8r
 e1GXNs5xVWcNSbdYiM4bTzVywqNMQJHWf82nDC5fOcywbxN6gvnHnJfb0FkaQxTmw8VX
 rvYCUdNxTzZGHwmRU6YPnOPBA/ijzTWycnWrXYLDbWvdb2ShBsQC+qBbOcJHhBKYQfeH
 YwV5BcihAU6GMw2So7P2/shMYcLaba4B3cxRAP8wKTzBO20dk9E8R8CznpPoY/Gw1q53
 adSWnOJsMdLq2t+lSEQbgECleV0DnR/r1fpCKMQVPiqqKXxmTcsiuXhRNQtTt1XcX+r6
 +YeA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:mime-version:subject:message-id:date:to;
 bh=1YzMNPeURvW8l6a5P/cbn/himjEwu9S87/lfy9jmKD8=;
 b=h6DePd7NYn7AnXwUkL7+DA16rIrE2If+/HVQA5iy2HN2xwGBEIHky8HkMM9gz+xAss
 Cq+U/3oyui54YN/rs0WsJoq9ydKOMSAhkC3EVHp0AH0yTGgXY9kcU81k4eDgbqMumzwf
 cdZmy13xyuVvoZqEiV3mYARE+48d6x35zuBhvQHop6JbP4edfrv8J3F1/QWHJv1Dgbfg
 2y3V0JIcctlqTadKyB87C3cnwhHAZiMzDx64i158RCRWduuRhZRYrRBviNiUHAsEdI7i
 dJErfUnGC8oJT1nBkQtmKmbQaZ0spffFjqItfcqvc3RFaznvxjZ8UBBtO1Quq/NwUuuD
 b6Gw==
X-Gm-Message-State: AOAM531qxjW+tKozyvrFgF++DKHgd/JWD0CFeUJFFMxMjYG3/XojtF+r
 bxk880YtSmumI5GGSR7oKCg8VfirZh4=
X-Google-Smtp-Source: ABdhPJzKqN7k1sk+MicGMVIoAqAM//9Amv0tnRmPeAMM3/GhTCY8GeWMc5xKNdX0hTsKahgZGhN9QA==
X-Received: by 2002:a37:9e4b:0:b0:69f:87d2:e686 with SMTP id
 h72-20020a379e4b000000b0069f87d2e686mr2848186qke.169.1651058974500; 
 Wed, 27 Apr 2022 04:29:34 -0700 (PDT)
Received: from smtpclient.apple (pool-108-31-85-19.washdc.fios.verizon.net.
 [108.31.85.19]) by smtp.gmail.com with ESMTPSA id
 bl22-20020a05620a1a9600b00680da570a5dsm7966382qkb.61.2022.04.27.04.29.33
 for <guix-patches@HIDDEN>
 (version=TLS1_2 cipher=ECDHE-ECDSA-AES128-GCM-SHA256 bits=128/128);
 Wed, 27 Apr 2022 04:29:33 -0700 (PDT)
From: Jon Eskin <eskinjp@HIDDEN>
Content-Type: multipart/mixed;
 boundary="Apple-Mail=_1CD149DF-6F13-4A05-879E-D33F0AABA0DE"
Mime-Version: 1.0 (Mac OS X Mail 16.0 \(3696.80.82.1.1\))
Subject: [PATCH] gnu: Add qbe.
Message-Id: <D2942CF6-9CBD-4125-B4E0-C452D2414BE6@HIDDEN>
Date: Wed, 27 Apr 2022 07:29:32 -0400
To: guix-patches@HIDDEN
X-Mailer: Apple Mail (2.3696.80.82.1.1)
Received-SPF: pass client-ip=2607:f8b0:4864:20::72b;
 envelope-from=eskinjp@HIDDEN; helo=mail-qk1-x72b.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001, SPF_PASS=-0.001,
 T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Wed, 27 Apr 2022 10:31:14 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)


--Apple-Mail=_1CD149DF-6F13-4A05-879E-D33F0AABA0DE
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain;
	charset=utf-8

Hello,

I=E2=80=99ve packaged the qbe compiler backend. I=E2=80=99m new to GUIX, =
so let me know if I messed anything up!

Jon

--Apple-Mail=_1CD149DF-6F13-4A05-879E-D33F0AABA0DE
Content-Disposition: attachment;
	filename=0001-gnu-Add-qbe.patch
Content-Type: application/octet-stream;
	x-unix-mode=0644;
	name="0001-gnu-Add-qbe.patch"
Content-Transfer-Encoding: quoted-printable

=46rom=20c81d8d7489f157611f56fdd44d0fc05553e95f7f=20Mon=20Sep=2017=20=
00:00:00=202001=0AFrom:=20Jon=20Eskin=20<eskinjp@HIDDEN>=0ADate:=20=
Wed,=2027=20Apr=202022=2005:48:54=20-0400=0ASubject:=20[PATCH]=20gnu:=20=
Add=20qbe.=0A=0A---=0A=20gnu/local.mk=20=20=20=20=20=20=20=20=20|=20=202=20=
++=0A=20gnu/packages/qbe.scm=20|=2056=20=
++++++++++++++++++++++++++++++++++++++++++++=0A=202=20files=20changed,=20=
58=20insertions(+)=0A=20create=20mode=20100644=20gnu/packages/qbe.scm=0A=0A=
diff=20--git=20a/gnu/local.mk=20b/gnu/local.mk=0Aindex=20=
9bad87710c..1c4a418a33=20100644=0A---=20a/gnu/local.mk=0A+++=20=
b/gnu/local.mk=0A@@=20-50,6=20+50,7=20@@=0A=20#=20Copyright=20=C2=A9=20=
2022=20Daniel=20Mei=C3=9Fner=20<daniel.meissner-i4k@HIDDEN>=0A=
=20#=20Copyright=20=C2=A9=202022=20Remco=20van=20't=20Veer=20=
<remco@HIDDEN>=0A=20#=20Copyright=20=C2=A9=202022=20Artyom=20V.=20=
Poptsov=20<poptsov.artyom@HIDDEN>=0A+#=20Copyright=20=C2=A9=202022=20=
Jon=20Eskin=20<eskinjp@HIDDEN>=0A=20#=0A=20#=20This=20file=20is=20=
part=20of=20GNU=20Guix.=0A=20#=0A@@=20-503,6=20+504,7=20@@=20=
GNU_SYSTEM_MODULES=20=3D=09=09=09=09\=0A=20=20=20=
%D%/packages/python-xyz.scm=09=09=09\=0A=20=20=20%D%/packages/toys.scm=09=
=09=09=09\=0A=20=20=20%D%/packages/tryton.scm=09=09=09\=0A+=20=20=
%D%/packages/qbe.scm=09=09=09=09\=0A=20=20=20%D%/packages/qt.scm=09=09=09=
=09\=0A=20=20=20%D%/packages/racket.scm=09=09=09\=0A=20=20=20=
%D%/packages/radio.scm=09=09=09\=0Adiff=20--git=20a/gnu/packages/qbe.scm=20=
b/gnu/packages/qbe.scm=0Anew=20file=20mode=20100644=0Aindex=20=
0000000000..426566666c=0A---=20/dev/null=0A+++=20b/gnu/packages/qbe.scm=0A=
@@=20-0,0=20+1,56=20@@=0A+;;;=20GNU=20Guix=20---=20Functional=20package=20=
management=20for=20GNU=0A+;;;=20Copyright=20=C2=A9=202022=20Jon=20Eskin=20=
<eskinjp@HIDDEN>=0A+;;;=0A+;;;=20This=20file=20is=20part=20of=20GNU=20=
Guix.=0A+;;;=0A+;;;=20GNU=20Guix=20is=20free=20software;=20you=20can=20=
redistribute=20it=20and/or=20modify=20it=0A+;;;=20under=20the=20terms=20=
of=20the=20GNU=20General=20Public=20License=20as=20published=20by=0A+;;;=20=
the=20Free=20Software=20Foundation;=20either=20version=203=20of=20the=20=
License,=20or=20(at=0A+;;;=20your=20option)=20any=20later=20version.=0A=
+;;;=0A+;;;=20GNU=20Guix=20is=20distributed=20in=20the=20hope=20that=20=
it=20will=20be=20useful,=20but=0A+;;;=20WITHOUT=20ANY=20WARRANTY;=20=
without=20even=20the=20implied=20warranty=20of=0A+;;;=20MERCHANTABILITY=20=
or=20FITNESS=20FOR=20A=20PARTICULAR=20PURPOSE.=20=20See=20the=0A+;;;=20=
GNU=20General=20Public=20License=20for=20more=20details.=0A+;;;=0A+;;;=20=
You=20should=20have=20received=20a=20copy=20of=20the=20GNU=20General=20=
Public=20License=0A+;;;=20along=20with=20GNU=20Guix.=20=20If=20not,=20=
see=20<http://www.gnu.org/licenses/>.=0A+=0A+(define-module=20(gnu=20=
packages=20qbe)=0A+=20=20#:use-module=20(guix=20packages)=0A+=20=20=
#:use-module=20(guix=20build-system=20gnu)=0A+=20=20#:use-module=20(guix=20=
git-download)=0A+=20=20#:use-module=20(guix=20licenses))=0A+=0A=
+(define-public=20qbe=0A+=20=20(package=0A+=20=20=20=20(name=20"qbe")=0A=
+=20=20=20=20(version=20"2022.04.11")=0A+=20=20=20=20(source=20(origin=0A=
+=20=20=20=20=20=20=20=20=20=20=20=20=20=20(method=20git-fetch)=0A+=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20(uri=0A+=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20(git-reference=0A+=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20(url=20"git://c9x.me/qbe.git")=0A+=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20(commit=20"2caa26e388b1c904d2f12fb09f84df7e761d8331")))=0A=
+=20=20=20=20=20=20=20=20=20=20=20=20=20=20(file-name=20(git-file-name=20=
name=20version))=0A+=20=20=20=20=20=20=20=20=20=20=20=20=20=20(sha256=0A=
+=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20(base32=0A+=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=
"1gv03ym0gqrl4wkbhysa82025xwrkr1fg44z814b6vnggwlqgljc"))))=0A+=20=20=20=20=
(build-system=20gnu-build-system)=0A+=20=20=20=20(arguments=0A+=20=20=20=20=
=20'(#:make-flags=20(list=20(string-append=20"PREFIX=3D"=20(assoc-ref=20=
%outputs=20"out"))=0A+=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20"CC=3Dgcc")=0A+=20=20=20=20=20=20=20#:phases=20=
(modify-phases=20%standard-phases=0A+=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20(delete=20'configure)=0A+=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20(add-before=20'check=20'fix-cc=0A+=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20(lambda*=20(#:key=20inputs=20=
outputs=20#:allow-other-keys)=0A+=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20;;=20fix=20test=20script=20overriding=20=
environment=20variable=0A+=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20(substitute*=20"tools/test.sh"=0A+=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20=20(("cc=3D\"cc=20=
-no-pie\"")=20"cc=3D\"gcc=20-no-pie\""))=0A+=20=20=20=20=20=20=20=20=20=20=
=20=20=20=20=20=20=20=20=20=20=20=20#t)))))=0A+=20=20=20=20(synopsis=20=
"Lightweight=20compiler=20backend")=0A+=20=20=20=20(description=0A+=20=20=
=20=20=20"QBE=20aims=20to=20be=20a=20pure=20C=20embeddable=20backend=20=
that=20provides=2070%=20of=20the=0A+performance=20of=20advanced=20=
compilers=20in=2010%=20of=20the=20code.")=0A+=20=20=20=20(home-page=20=
"https://c9x.me/compile/")=0A+=20=20=20=20(license=20expat)))=0A--=20=0A=
2.32.0=20(Apple=20Git-132)=0A=0A=

--Apple-Mail=_1CD149DF-6F13-4A05-879E-D33F0AABA0DE--




Acknowledgement sent to Jon Eskin <eskinjp@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#55150; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 24 May 2022 06:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.